Loading...
Searching...
No Matches
juce::SynthesiserSound Class Referenceabstract

## Detailed Description

Describes one of the sounds that a Synthesiser can play.

A synthesiser can contain one or more sounds, and a sound can choose which midi notes and channels can trigger it.

The SynthesiserSound is a passive class that just describes what the sound is - the actual audio rendering for a sound is done by a SynthesiserVoice. This allows more than one SynthesiserVoice to play the same sound at the same time.

See also
  Synthesiser, SynthesiserVoice

The documentation for this class was generated from the following file:

- juce_audio_basics/synthesisers/juce_Synthesiser.h

Inheritance diagram for juce::SynthesiserSound:

## Public Types

using | Ptr = ReferenceCountedObjectPtr<SynthesiserSound>
| The class is reference-counted, so this is a handy pointer class for it.

## Public Member Functions

| ~SynthesiserSound () override
| Destructor.
virtual bool | appliesToNote (int midiNoteNumber)=0
| Returns true if this sound should be played when a given midi note is pressed.
virtual bool | appliesToChannel (int midiChannel)=0
| Returns true if the sound should be triggered by midi events on a given channel.
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Protected Member Functions

| SynthesiserSound ()
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Member Typedef Documentation

## Ptr

using juce::SynthesiserSound::Ptr = ReferenceCountedObjectPtr<SynthesiserSound>

The class is reference-counted, so this is a handy pointer class for it.

## Constructors and Destructors

## SynthesiserSound()

juce::SynthesiserSound::SynthesiserSound | ( |  | ) |

protected

## ~SynthesiserSound()

juce::SynthesiserSound::~SynthesiserSound | ( |  | ) |

override

Destructor.

## Member Functions

## appliesToNote()

virtual bool juce::SynthesiserSound::appliesToNote | ( | int | midiNoteNumber | ) |

pure virtual

Returns true if this sound should be played when a given midi note is pressed.

The Synthesiser will use this information when deciding which sounds to trigger for a given note.

Implemented in juce::SamplerSound.

## appliesToChannel()

virtual bool juce::SynthesiserSound::appliesToChannel | ( | int | midiChannel | ) |

pure virtual

Returns true if the sound should be triggered by midi events on a given channel.

The Synthesiser will use this information when deciding which sounds to trigger for a given note.

Implemented in juce::SamplerSound.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited